Subject: linux-next: manual merge of the vfio tree with the pci tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 1 Oct 2014 13:14:21 +1000

Hi Alex,

Today's linux-next merge of the vfio tree got a conflict in
drivers/pci/msi.c between commits a160fe94cb53 ("PCI/MSI: Remove unused
get_cached_msi_msg()") and 18ef822c59f6 ("PCI/MSI: Rename
__get_cached_msi_msg() to get_cached_msi_msg()") from the pci tree and
commit 3b307ffe3faa ("PCI: Export MSI message relevant functions") from
the vfio tree.

I fixed it up (see below) and can carry the fix as necessary (no action
is required).  And then I added this merge fix patch (I should probably
also have added an include of linux/irq.h):

From: Stephen Rothwell <[email-masked]>
Date: Wed, 1 Oct 2014 13:09:58 +1000
Subject: [PATCH] vfio: update for get_cached_msi_msg API change

Signed-off-by: Stephen Rothwell <[email-masked]>
---
 drivers/vfio/pci/vfio_pci_intrs.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/drivers/vfio/pci/vfio_pci_intrs.c b/drivers/vfio/pci/vfio_pci_intrs.c
index 553212f037c3..a068bb0d69e5 100644
--- a/drivers/vfio/pci/vfio_pci_intrs.c
+++ b/drivers/vfio/pci/vfio_pci_intrs.c
@@ -559,7 +559,7 @@ static int vfio_msi_set_vector_signal(struct vfio_pci_device *vdev,
 	if (msix) {
 		struct msi_msg msg;
 
-		get_cached_msi_msg(irq, &msg);
+		get_cached_msi_msg(irq_get_msi_desc(irq), &msg);
 		write_msi_msg(irq, &msg);
 	}
 
-- 
2.1.1

Someone needs to remember to send this fix to Linus when these 2 trees
are merged into his tree ...
-- 
Cheers,
Stephen Rothwell                    [email-masked]

diff --cc drivers/pci/msi.c
index d077749df25b,e468d65eb238..000000000000
--- a/drivers/pci/msi.c
+++ b/drivers/pci/msi.c
@@@ -288,6 -305,14 +288,7 @@@ void get_cached_msi_msg(struct msi_des
  
  	*msg = entry->msg;
  }
 -
 -void get_cached_msi_msg(unsigned int irq, struct msi_msg *msg)
 -{
 -	struct msi_desc *entry = irq_get_msi_desc(irq);
 -
 -	__get_cached_msi_msg(entry, msg);
 -}
+ EXPORT_SYMBOL_GPL(get_cached_msi_msg);
  
  void __write_msi_msg(struct msi_desc *entry, struct msi_msg *msg)
  {